Package org.apache.any23.extractor.html

## Class XFNExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.XFNExtractorTest

-     public class XFNExtractorTest
      extends AbstractExtractorTestCase

  Reference Test class for the `XFNExtractor` extractor.

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XFNExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `testDetectPresenceOfXFN()` |
    `void` | `testForSomeReasonICantBeMyOwnSweetheart()` |
    `void` | `testFriendAndSweetheart()` |
    `void` | `testIgnoreExtraSpacesInRel()` |
    `void` | `testLinkWithoutRel()` |
    `void` | `testMixedCaseATag()` |
    `void` | `testMultipleFriends()` |
    `void` | `testNoMicroformats()` |
    `void` | `testNoXFNRel()` |
    `void` | `testParseTagSoup()` |
    `void` | `testRelativeIRIisResolvedAgainstBase()` |
    `void` | `testSimpleFriend()` |
    `void` | `testSimpleMeLink()` |
    `void` | `testSomeLinksWithIncorrectHrefAttribute()` |
    `void` | `testSomeLinksWithoutRel()` |
    `void` | `testUpcaseHREF()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XFNExtractorTest

          public XFNExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testNoMicroformats

          public void testNoMicroformats()
                                  throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testLinkWithoutRel

          public void testLinkWithoutRel()
                                  throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testNoXFNRel

          public void testNoXFNRel()
                            throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testDetectPresenceOfXFN

          public void testDetectPresenceOfXFN()
                                       throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testSimpleMeLink

          public void testSimpleMeLink()
                                throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testRelativeIRIisResolvedAgainstBase

          public void testRelativeIRIisResolvedAgainstBase()
                                                    throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testParseTagSoup

          public void testParseTagSoup()
                                throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testSimpleFriend

          public void testSimpleFriend()
                                throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testFriendAndSweetheart

          public void testFriendAndSweetheart()
                                       throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testMultipleFriends

          public void testMultipleFriends()
                                   throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testSomeLinksWithoutRel

          public void testSomeLinksWithoutRel()
                                       throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testSomeLinksWithIncorrectHrefAttribute

          public void testSomeLinksWithIncorrectHrefAttribute()
                                                       throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testForSomeReasonICantBeMyOwnSweetheart

          public void testForSomeReasonICantBeMyOwnSweetheart()
                                                       throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testIgnoreExtraSpacesInRel

          public void testIgnoreExtraSpacesInRel()
                                          throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testMixedCaseATag

          public void testMixedCaseATag()
                                 throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testUpcaseHREF

          public void testUpcaseHREF()
                              throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`